Name:           perl-Catalyst-Manual
Epoch:          1
Version:        5.7020
Release:        2%{?dist}
Summary:        Catalyst web framework manual
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Manual/
Source0:        http://www.cpan.org/modules/by-module/Catalyst/Catalyst-Manual-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
# test
BuildRequires: perl(Test::Pod), perl(Test::Pod::Coverage)

%description
This is the manual to the Catalyst web framework.

%prep
%setup -q -n Catalyst-Manual-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Apr 11 2009 Chris Weyl <cweyl@alumni.drew.edu> 5.7020-2
- reclaim Catalyst::Manual

* Wed Apr 01 2009 Chris Weyl <cweyl@alumni.drew.edu> 5.7020-1
- update to 5.7020

* Mon Mar 09 2009 Chris Weyl <cweyl@alumni.drew.edu> 5.7017-1
- update to 5.7017

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:5.7016-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 5.7016-1
- update to 5.7016

* Sat Nov 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 5.7014-1
- update to 5.7014

* Fri Jul 25 2008 Chris Weyl <cweyl@alumni.drew.edu> 5.7013-1
- update to 5.7013
- don't just exclude Catalyst::Manual's man page, but the .pm as well. 
  (RH BZ#455151)
 
* Wed Jun 25 2008 Chris Weyl <cweyl@alumni.drew.edu> 5.7012-2
- re-exclude Catalyst::Manual.3pm

* Sun Jun 22 2008 Chris Weyl <cweyl@alumni.drew.edu> 5.7012-1
- update to 7.012...
- ...and add an epoch.  sigh.

* Sun Jun 22 2008 Chris Weyl <cweyl@alumni.drew.edu> 5.701003-1
- update to 5.701003
- un-exclude Catalyst::Manual pod as it's been moved over from
  Catalyst::Runtime to this dist
- License tag update: GPL -> GPL+

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 5.700701-3
- rebuild for new perl

* Tue Jun 05 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.700701-2
- bump

* Fri Apr 27 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.700701-1
- Specfile autogenerated by cpanspec 1.71.
